Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Gemini generateContent 的基础对话示例。
generateContent
{ "model": "gemini-2.5-flash", "systemInstruction": { "parts": [{ "text": "You are a concise assistant." }] }, "contents": [ { "role": "user", "parts": [{ "text": "用三句话介绍 ApiGo。" }] } ] }
curl "https://generativelanguage.googleapis.com/v1beta/models/gemini-2.5-flash:generateContent" \ -H "x-goog-api-key: $GEMINI_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "systemInstruction": { "parts": [{ "text": "You are a concise assistant." }] }, "contents": [ { "role": "user", "parts": [{ "text": "用三句话介绍 ApiGo。" }] } ] }'
from google import genai from google.genai import types client = genai.Client(api_key="<GEMINI_API_KEY>") response = client.models.generate_content( model="gemini-2.5-flash", contents="用三句话介绍 ApiGo。", config=types.GenerateContentConfig( system_instruction="You are a concise assistant." ), ) print(response.text)
import { GoogleGenAI } from "@google/genai"; const ai = new GoogleGenAI({ apiKey: process.env.GEMINI_API_KEY }); const response = await ai.models.generateContent({ model: "gemini-2.5-flash", contents: "用三句话介绍 ApiGo。", config: { systemInstruction: "You are a concise assistant." } }); console.log(response.text);
gemini-2.5-flash
parts
thinkingBudget
0